=== tests/ao-casscf-sp/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(ao-casscf-sp "psi;quicktests;casscf")
