=== tests/castup1/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(castup1 "psi;quicktests;scf")
