=== tests/cc-module/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc-module "psi;quicktests;cc")
