=== tests/cc13/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc13 "psi;cc")
