=== tests/cc13c/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc13c "psi;cc;cart")
