=== tests/cc14/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc14 "psi;cc")
