=== tests/cc15/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc15 "psi;quicktests;cc")
