=== tests/cc16/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc16 "psi;cc")
