=== tests/cc17/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc17 "psi;quicktests;cc")
