=== tests/cc22/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc22 "psi;cc")
