=== tests/cc47/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc47 "psi;cc;autotest")
