=== debian/changelog ===
psi4 (1:1.3.2-3build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:17:05 +0100

psi4 (1:1.3.2-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 05:43:43 +0000

psi4 (1:1.3.2-3) unstable; urgency=medium

  * debian/control (psi4/Depends): Add python3-qcelemental (Closes: #949291).

 -- Michael Banck <mbanck@debian.org>  Sun, 19 Jan 2020 21:38:29 +0100

psi4 (1:1.3.2-2) unstable; urgency=medium

  * debian/TODO: Removed.
  * debian/tests/testsuite.sh: Print last 100 lines of logfile in case of
    failures.
  * debian/control (Build-Depends): Rebuilt against libgg2 (Closes: #942242).
  * debian/patches/gau2grid_2_support.patch: New patch, adds support for
    gau2grid 2.0, taken from upstream commits b42769d7, d023b9d3 and 643a4661.

 -- Michael Banck <mbanck@debian.org>  Wed, 01 Jan 2020 13:51:25 +0100

psi4 (1:1.3.2-1) unstable; urgency=medium

  * New upstream release. New features include:
   + In-memory DFT collocation grids lowering the total cost of DFT by up to a
     factor of two
   + RHF analytic dipole derivatives
  * debian/patches/runtests_python3.patch: Refreshed.
  * debian/patches/verbose_makefile.patch: Updated.
  * debian/patches/relax_external_cmake_requirements.patch: Likewise.
  * debian/patches/libxc_external.patch: Likewise.
  * debian/patches/libderiv_include_location.patch: Removed, no longer needed.
  * debian/patches/dfhelper_crash_fix.patch: Likewise.
  * debian/patches/testsuite_32bit_memory.patch: Likewise.
  * debian/control (Build-Depends): Add versioned dependency to libxc-dev
    (4.2.3-1). 
  * debian/control (Build-Depends): Added python3-qcelemental.
  * debian/compat: Bumped to 10.
  * debian/patches/libint_external.patch: New patch, allows building with
    external Libint.
  * debian/TODO: Removed.

 -- Michael Banck <mbanck@debian.org>  Sun, 21 Jul 2019 09:54:10 -0300
