=== debian/tests/control ===
Depends: @
Tests: testsuite.sh
Restrictions: allow-stderr
