## psi4 1.3.2%2Bdfsg

=== doc/doxygen/CMakeLists.txt ===
find_package(Doxygen QUIET)
if(NOT DOXYGEN_FOUND)
   message(STATUS "No Doxygen, no docs.")
else()
    message(STATUS "Documentation targets available: doxyman (html)")

    # Configuration of the Doxygen configuration file
    set(HAVE_QHELP "NO")
    set(QHELP_GENERATOR "")
    set(HAVE_DOT "NO")
    set(DOT_PATH "")
    configure_file(doxygen.cfg.in doxygen.cfg @ONLY)

    add_custom_target(doxyman
                      VERBATIM
                      COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/doxygen.cfg
                      COMMENT "Build Doxygen html documentation ...")
endif()
