=== tests/cc3/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc3 "psi;cc")
