=== tests/cc31/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc31 "psi;cc;autotest;cart")
