=== tests/cc44/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc44 "psi;cc")
