=== tests/cc6/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cc6 "psi;cc;cart")
