=== tests/cisd-opt-fd/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(cisd-opt-fd "psi;cisd")
