=== tests/dfcasscf-fzc-sp/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfcasscf-fzc-sp "psi;quicktests;casscf")
