=== tests/dfccdl1/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfccdl1 "psi;df;dfccdl")
