=== tests/dfmp2-1/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfmp2-1 "psi;quicktests;smoketests;df;dfmp2;cart")
