=== tests/dfmp2-fc/CMakeLists.txt ===
include(TestingMacros)

add_regression_test(dfmp2-fc "quicktests;df;dfmp2")
